#!/usr/bin/env python
# encoding: iso-8859-15
#
#Minë. Mundo Interactivo-Narrativo en Español [Tierra-Media]
#Copyright (C) 2002  Pablo Ruiz Múzquiz
#
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
#Fichero: DialogoSalir.py

"""Clase DialogoSalir."""

import Dialogo

class DialogoSalir(Dialogo.Dialogo):
    """Dialogo mantenido con el jugador cuando quiere liberar el personaje
    y desconectar de Mine.

    Invariantes:
       conn != None
    """

    def __init__(self, conn):
        """Crea el diálogo.

	Requiere:
	  conn != None
	"""
        self.__dict__["conn"] = conn
        self.estado_0()


    def estado_0(self):
        self.poner_estado(0)


    def comando_0(self, cmd_list):
	return None
	    
	    
# Código para pruebas unitarias del módulo.

if (__name__ == '__main__'):
    print "No hay código para pruebas unitarias del módulo."
    print "Para probar, ejecutar mine.py y conectarse via telnet."

